package cn.ibizlab.r7.runtime.client.base.model;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;
import java.io.Serializable;
import java.math.BigDecimal;
import cn.ibizlab.r7.runtime.core.client.model.ILoginAccountPwd;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 接口实体[LoginAccountPwd] 对象
 */
public class LoginAccountPwdImpl implements ILoginAccountPwd,Serializable{

    /**
     * 更新人
     */
    public String updateMan;

    @JsonIgnore
    public boolean updateManDirtyFlag;
    
    /**
     * 密码
     */
    public String pwd;

    @JsonIgnore
    public boolean pwdDirtyFlag;
    
    /**
     * 更新时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    public Timestamp updateDate;

    @JsonIgnore
    public boolean updateDateDirtyFlag;
    
    /**
     * 建立人
     */
    public String createMan;

    @JsonIgnore
    public boolean createManDirtyFlag;
    
    /**
     * 登录账号密码名称
     */
    public String loginAccountPwdName;

    @JsonIgnore
    public boolean loginAccountPwdNameDirtyFlag;
    
    /**
     * 建立时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    public Timestamp createDate;

    @JsonIgnore
    public boolean createDateDirtyFlag;
    
    /**
     * 是否启用
     */
    public Integer enable;

    @JsonIgnore
    public boolean enableDirtyFlag;
    
    /**
     * 登录账号密码标识
     */
    public String loginAccountPwdId;

    @JsonIgnore
    public boolean loginAccountPwdIdDirtyFlag;
    
    /**
     * 登录账号标识
     */
    public String loginAccountId;

    @JsonIgnore
    public boolean loginAccountIdDirtyFlag;
    
    /**
     * 获取 [更新人]
     */
    @JsonProperty("updateman")
    public String getUpdateMan(){
        return this.updateMan ;
    }

    /**
     * 设置 [更新人]
     */
    @JsonProperty("updateman")
    public void setUpdateMan(String  updateMan){
        this.updateMan = updateMan ;
        this.updateManDirtyFlag = true ;
    }

     /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return this.updateManDirtyFlag ;
    }   

    /**
     * 获取 [密码]
     */
    @JsonProperty("pwd")
    public String getPwd(){
        return this.pwd ;
    }

    /**
     * 设置 [密码]
     */
    @JsonProperty("pwd")
    public void setPwd(String  pwd){
        this.pwd = pwd ;
        this.pwdDirtyFlag = true ;
    }

     /**
     * 获取 [密码]脏标记
     */
    @JsonIgnore
    public boolean getPwdDirtyFlag(){
        return this.pwdDirtyFlag ;
    }   

    /**
     * 获取 [更新时间]
     */
    @JsonProperty("updatedate")
    public Timestamp getUpdateDate(){
        return this.updateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    @JsonProperty("updatedate")
    public void setUpdateDate(Timestamp  updateDate){
        this.updateDate = updateDate ;
        this.updateDateDirtyFlag = true ;
    }

     /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return this.updateDateDirtyFlag ;
    }   

    /**
     * 获取 [建立人]
     */
    @JsonProperty("createman")
    public String getCreateMan(){
        return this.createMan ;
    }

    /**
     * 设置 [建立人]
     */
    @JsonProperty("createman")
    public void setCreateMan(String  createMan){
        this.createMan = createMan ;
        this.createManDirtyFlag = true ;
    }

     /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return this.createManDirtyFlag ;
    }   

    /**
     * 获取 [登录账号密码名称]
     */
    @JsonProperty("loginaccountpwdname")
    public String getLoginAccountPwdName(){
        return this.loginAccountPwdName ;
    }

    /**
     * 设置 [登录账号密码名称]
     */
    @JsonProperty("loginaccountpwdname")
    public void setLoginAccountPwdName(String  loginAccountPwdName){
        this.loginAccountPwdName = loginAccountPwdName ;
        this.loginAccountPwdNameDirtyFlag = true ;
    }

     /**
     * 获取 [登录账号密码名称]脏标记
     */
    @JsonIgnore
    public boolean getLoginAccountPwdNameDirtyFlag(){
        return this.loginAccountPwdNameDirtyFlag ;
    }   

    /**
     * 获取 [建立时间]
     */
    @JsonProperty("createdate")
    public Timestamp getCreateDate(){
        return this.createDate ;
    }

    /**
     * 设置 [建立时间]
     */
    @JsonProperty("createdate")
    public void setCreateDate(Timestamp  createDate){
        this.createDate = createDate ;
        this.createDateDirtyFlag = true ;
    }

     /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return this.createDateDirtyFlag ;
    }   

    /**
     * 获取 [是否启用]
     */
    @JsonProperty("enable")
    public Integer getEnable(){
        return this.enable ;
    }

    /**
     * 设置 [是否启用]
     */
    @JsonProperty("enable")
    public void setEnable(Integer  enable){
        this.enable = enable ;
        this.enableDirtyFlag = true ;
    }

     /**
     * 获取 [是否启用]脏标记
     */
    @JsonIgnore
    public boolean getEnableDirtyFlag(){
        return this.enableDirtyFlag ;
    }   

    /**
     * 获取 [登录账号密码标识]
     */
    @JsonProperty("loginaccountpwdid")
    public String getLoginAccountPwdId(){
        return this.loginAccountPwdId ;
    }

    /**
     * 设置 [登录账号密码标识]
     */
    @JsonProperty("loginaccountpwdid")
    public void setLoginAccountPwdId(String  loginAccountPwdId){
        this.loginAccountPwdId = loginAccountPwdId ;
        this.loginAccountPwdIdDirtyFlag = true ;
    }

     /**
     * 获取 [登录账号密码标识]脏标记
     */
    @JsonIgnore
    public boolean getLoginAccountPwdIdDirtyFlag(){
        return this.loginAccountPwdIdDirtyFlag ;
    }   

    /**
     * 获取 [登录账号标识]
     */
    @JsonProperty("loginaccountid")
    public String getLoginAccountId(){
        return this.loginAccountId ;
    }

    /**
     * 设置 [登录账号标识]
     */
    @JsonProperty("loginaccountid")
    public void setLoginAccountId(String  loginAccountId){
        this.loginAccountId = loginAccountId ;
        this.loginAccountIdDirtyFlag = true ;
    }

     /**
     * 获取 [登录账号标识]脏标记
     */
    @JsonIgnore
    public boolean getLoginAccountIdDirtyFlag(){
        return this.loginAccountIdDirtyFlag ;
    }   

}
